com.fasterxml.jackson.databind.ser.std

## Class StdArraySerializers.TypedPrimitiveArraySerializer<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
    - - com.fasterxml.jackson.databind.ser.ContainerSerializer<T>
      - - com.fasterxml.jackson.databind.ser.std.ArraySerializerBase<T>
        - - com.fasterxml.jackson.databind.ser.std.StdArraySerializers.TypedPrimitiveArraySerializer<T>

- All Implemented Interfaces:
    JsonFormatVisitable, SchemaAware, ContextualSerializer, Serializable
  Direct Known Subclasses:
    StdArraySerializers.FloatArraySerializer, StdArraySerializers.LongArraySerializer, StdArraySerializers.ShortArraySerializer
  Enclosing class:
    StdArraySerializers

      protected abstract static class StdArraySerializers.TypedPrimitiveArraySerializer<T>
      extends ArraySerializerBase<T>

  Intermediate base class used for cases where we may add type information (excludes boolean/int/double arrays).
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.ArraySerializerBase

      `_property, _unwrapSingle`

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_handledType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TypedPrimitiveArraySerializer(Class<T> cls)`
    `protected` | `TypedPrimitiveArraySerializer(StdArraySerializers.TypedPrimitiveArraySerializer<T> src, BeanProperty prop, Boolean unwrapSingle)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContainerSerializer<?>` | `_withValueTypeSerializer(TypeSerializer vts)` Method that needs to be implemented to allow construction of a new serializer object with given `TypeSerializer`, used when addition type information is to be embedded.

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.ArraySerializerBase

      `_shouldUnwrapSingle, _withResolved, createContextual, serialize, serializeContents, serializeWithType`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.ContainerSerializer

      `getContentSerializer, getContentType, hasContentTypeAnnotation, hasSingleElement, withValueTypeSerializer`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_neitherNull, _nonEmpty, acceptJsonFormatVisitor, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypedPrimitiveArraySerializer

          protected TypedPrimitiveArraySerializer(Class<T> cls)

    - #### TypedPrimitiveArraySerializer

          protected TypedPrimitiveArraySerializer(StdArraySerializers.TypedPrimitiveArraySerializer<T> src,
                                                  BeanProperty prop,
                                                  Boolean unwrapSingle)

  - ### Method Detail

    - #### _withValueTypeSerializer

          public final ContainerSerializer<?> _withValueTypeSerializer(TypeSerializer vts)

      Description copied from class: `ContainerSerializer`
      Method that needs to be implemented to allow construction of a new serializer object with given `TypeSerializer`, used when addition type information is to be embedded.
      Specified by:
        `_withValueTypeSerializer` in class `ContainerSerializer<T>`

Copyright © 2008–2018 FasterXML. All rights reserved.